Permalink
Browse files

Update README.md

  • Loading branch information...
1 parent 1bc3c28 commit a75495107cd522b99db3103726bc85d1ba6572c4 @springmeyer springmeyer committed Jul 17, 2013
Showing with 7 additions and 3 deletions.
  1. +7 −3 README.md
View
10 README.md
@@ -56,18 +56,22 @@ Unless building via `npm install` you will need `node-gyp` installed globally:
npm install node-gyp -g
-The module depends only on libsqlite3. However, by default, an internal/bundled copy of sqlite will be build and linked, so an externally installed sqlite3 is not required.
+The module depends only on libsqlite3. However, by default, an internal/bundled copy of sqlite will be built and statically linked, so an externally installed sqlite3 is not required.
-If you wish to install against an external sqlite then you need to pass the `--sqlite` argument to node-gyp. You can do this like:
+If you wish to install against an external sqlite then you need to pass the `--sqlite` argument to `node-gyp`, `npm install` or the `configure` wrapper.
./configure --sqlite=/usr/local
make
-Or like this (using the node-gyp built into npm):
+Or, using the node-gyp directly:
node-gyp --sqlite=/usr/local
make
+Or, using npm:
+
+ npm install --sqlite=/usr/local
+
If building against an external sqlite3 make sure to have the development headers available. Mac OS X ships with these by default. If you don't have them installed, install the `-dev` package with your package manager, e.g. `apt-get install libsqlite3-dev` for Debian/Ubuntu. Make sure that you have at least `libsqlite3` >= 3.6.
Note, if building against homebrew-installed sqlite on OS X you can do:

0 comments on commit a754951

Please sign in to comment.